%define upstream_name    Image-Math-Constrain
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Scaling math used in image size constraining (such
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
There are a number of different modules and systems that constrain image
sizes, such as thumbnailing. Every one of these independently implement the
same logic. That is, given a width and/or height constraint, they check to
see if the image is bigger than the constraint, and if so scale the image
down proportionally so that it fits within the constraints.

Of course, they all do it slightly differently, and some do it better than
others.

'Image::Math::Constrain' has been created specifically to implement this
logic once, and implement it properly. Any module or script that does image
size constraining or thumbnailing should probably be using this for its
math.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README LICENSE Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.20.0-13.mga10
+ Revision: 2204005
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.20.0-12.mga9
+ Revision: 1809505
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-11.mga8
+ Revision: 1504823
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.20.0-10.mga7
+ Revision: 1284364
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.20.0-9.mga7
+ Revision: 1164901
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.20.0-8.mga7
+ Revision: 1159292
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1028462
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 947680
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 750454
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 685122
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 512373
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 368736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 22502
- cleaning spec file
- imported package perl-Image-Math-Constrain

